\draw (24,50) node [align=left] {$\displaystyle C_0$};

    %1 карта
    \linetableone  {0}{0}{0}{0}
    \linetabletwo  {0}{0}{0}{0}
    \linetablethree{0}{0}{}{0}
    \linetablefour {0}{0}{0}{0}
    
    %2 карта
    \linetablefive  {0}{0}{0}{0}
    \linetablesix   {0}{0}{}{}
    \linetableseven {0}{}{0}{}
    \linetableeight {0}{0}{0}{0}
    
    %3 карта
    \linetablenine  {0}{0}{0}{0}
    \linetableten   {}{}{0}{0}
    \linetableeleven{}{0}{0}{0}
    \linetabletwelve{0}{0}{}{0}
    
    %4 карта
    \linetablethirteen{0}{0}{}{}
    \linetablefourteen{0}{0}{0}{0}
    \linetablefifteen {0}{0}{0}{0}
    \linetablesixteen {0}{}{0}{}

%(X₁ V X₂ V X₃) & (X₀ V X₁ V X₂) & (X₀ V X₃) & (X₁ V X₃ V X₄) & (X₀ V X₄ V X₅) & (X₃ V X₄ V X₅) & (̅X₁ V X₂ V X₄) & (X₁ V X₂ V ̅X₄) & (X₁ V ̅X₄ V X₅) & (̅X₁ V ̅X₂ V ̅X₄ V ̅X₅) & (̅X₀ V ̅X₃ V ̅X₄) & (̅X₀ V ̅X₁ V ̅X₂ V ̅X₃) & (X₁ V ̅X₂ V X₄ V ̅X₅)
\draw (366,155) node [align=left] {$\displaystyle C_{0} =\begin{Bmatrix}
    x000xx \\
    000xxx \\
    0xx0xx \\
    x0x00x \\
    0xxx00 \\
    xxx000 \\
    x10x0x \\
    x00x1x \\
    x0xx10 \\
    x11x11 \\
    1xx11x \\
    1111xx \\
    x01x01
    \end{Bmatrix}$ \\
    $S_a^{C_0} = 41,S_b^{C_0} = 54$
};

\draw [color={rgb, 255:red, 255; green, 0; blue, 0}, draw opacity=1] (84.25,63) -- (156.25,63) -- (156.25,77) -- (84.25,77) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0}, draw opacity=1] (84.25,193) -- (156.25,193) -- (156.25,207) -- (84.25,207) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0}, draw opacity=1] (84.25,193) .. controls (67.25,218.5) and (64.25,53.5) .. (84.25,77) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0}, draw opacity=1] (84.5,64) -- (156.75,64) -- (156.75,96.5) -- (84.5,96.5) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255}, draw opacity=1] (155,55) -- (155,76.37) -- (85.15,76.37) -- (85.15,54.37) -- (73.58,54.37) -- (73.58,145.12) -- (83.99,145.12) -- (83.99,123.09) -- (156.03,123.09) -- (156.03,147.9) -- (214.6,147.9) -- (214.6,124.02) -- (286.37,124.02) -- (286.37,147.52) -- (296.26,147.52) -- (296.26,53.23) -- (286.22,53.23) -- (286.22,76) -- (214.64,76) -- (214.64,53.5) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 255}, draw opacity=1] (116,54.5) -- (116,75.5) -- (85.99,75.5) -- (85.99,51.58) -- (69.41,51.58) -- (69.41,147.01) -- (85.6,147.01) -- (85.6,124.95) -- (117.51,124.95) -- (117.51,205.6) -- (84.75,205.5) -- (84.75,184.48) -- (71.74,184.48) -- (71.74,274.81) -- (85.8,274.81) -- (85.8,253.39) -- (117.64,253.39) -- (117.64,276.65) ;
\draw [color={rgb, 255:red, 139; green, 87; blue, 42}, draw opacity=1] (67,63.5) -- (97.83,63.5) -- (97.83,136.52) -- (67.25,136.52) -- (67.25,146.02) -- (205.96,146.02) -- (205.96,136.32) -- (227.26,136.32) -- (227.26,64.33) -- (203.15,64.33) ;
\draw [color={rgb, 255:red, 245; green, 166; blue, 35}, draw opacity=1] (224.5,54.5) -- (224.5,78.04) -- (212.59,78.04) -- (212.59,55.75) -- (96.67,55.75) -- (96.67,78.51) -- (76.2,78.51) -- (76.2,195.05) -- (96.46,195.05) -- (96.46,208.12) -- (76.33,208.12) -- (76.33,254.2) -- (97.07,254.2) -- (97.07,278.48) -- (206.64,278.48) -- (206.64,266.72) -- (226.56,266.72) -- (226.56,254) -- (205.76,254) -- (205.76,206.63) -- (226.04,206.63) -- (226.04,124.79) -- (203.54,124.79) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0}, draw opacity=1] (215,62.2) -- (247,62.2) -- (247,98) -- (215,98) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0}, draw opacity=1] (215,192.2) -- (247,192.2) -- (247,228) -- (215,228) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0}, draw opacity=1] (246.26,97.52) -- (247,192.2) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 128}, draw opacity=1] (125,62.2) -- (157,62.2) -- (157,98) -- (125,98) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 128}, draw opacity=1] (125,192.2) -- (157,192.2) -- (157,228) -- (125,228) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 128}, draw opacity=1] (156.26,97.52) -- (157,192.2) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 155}, draw opacity=1] (143,64.5) -- (157.25,64.5) -- (157.25,136.5) -- (143,136.5) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 155}, draw opacity=1] (143,194.5) -- (157.25,194.5) -- (157.25,266.5) -- (143,266.5) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 155}, draw opacity=1] (150,137) .. controls (175.75,137) and (167.75,209.5) .. (157,210) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0}, draw opacity=1] (253.5,232) -- (267.75,232) -- (267.75,267) -- (253.5,267) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0}, draw opacity=1] (253.5,102) -- (267.75,102) -- (267.75,137) -- (253.5,137) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0}, draw opacity=1] (254.5,137) -- (254.5,232.72) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255}, draw opacity=1] (123,212.2) -- (155,212.2) -- (155,248) -- (123,248) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255}, draw opacity=1] (253,212.2) -- (285,212.2) -- (285,248) -- (253,248) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255}, draw opacity=1] (155,248) .. controls (216.25,247.5) and (210.75,249) .. (253,248) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 255}, draw opacity=1] (214.25,233) -- (286.25,233) -- (286.25,247) -- (214.25,247) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 162; blue, 255}, draw opacity=1] (103.5,232) -- (117.75,232) -- (117.75,267) -- (103.5,267) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 162; blue, 255}, draw opacity=1] (103.5,102) -- (117.75,102) -- (117.75,137) -- (103.5,137) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 162; blue, 255}, draw opacity=1] (104.5,137) -- (104.5,232.72) ;
